<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.patrice.rerservation01">

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>

    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>

    <uses-permission android:name="com.android.alarm.permission.SET_ALARM"/>
    <uses-permission android:name="android.permission.VIBRATE"/>


    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <uses-permission android:name="android.permission.STORAGE" />

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-feature android:name="android.hardware.camera" />

    <uses-permission android:name="android.permission.READ_SMS"/>
    <uses-permission android:name="android.permission.RECEIVE_SMS"/>
    <uses-permission android:name="android.permission.READ_CONTACTS"/>


    <application
        android:allowBackup="true"
        android:icon="@drawable/games"
        android:label="@string/app_name"
        android:supportsRtl="true"

        android:theme="@style/AppTheme">
        <activity android:name=".splash">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name="com.example.patrice.rerservation01.MainActivity" />

        <activity android:name="com.example.patrice.rerservation01.action_bar" />

        <activity android:name="com.example.patrice.rerservation01.Main02" />

        <activity android:name="com.example.patrice.rerservation01.connexion"  />  <!--   android:noHistory="true" -->

        <activity android:name="com.example.patrice.rerservation01.traitement_scanner" />

        <activity android:name="com.example.patrice.rerservation01.traitement_scanner02"
            android:screenOrientation="portrait"
            />

        <activity android:name="com.example.patrice.rerservation01.traitement_scanner03"
            android:screenOrientation="portrait"
            />



        <activity android:name="com.example.patrice.rerservation01.statistiques_02" />

        <activity android:name="com.example.patrice.rerservation01.emprunter_by_listview" />


        <activity android:name="com.example.patrice.rerservation01.listview_all_games_in_db" />

        <activity android:name="com.example.patrice.rerservation01.listview_all_games_in_db_02" />

        <activity android:name="com.example.patrice.rerservation01.listview_all_games_in_db_03" />

        <activity android:name="com.example.patrice.rerservation01.listview_all_games_in_db_04" />

        <activity android:name="com.example.patrice.rerservation01.listview_all_games_in_db_05" />

        <activity android:name="com.example.patrice.rerservation01.listview_all_games_in_db_06" />

        <activity android:name="com.example.patrice.rerservation01.listview_all_games" />


        <activity android:name="com.example.patrice.rerservation01.progress_dialog" />

        <activity android:name="com.example.patrice.rerservation01.gps_location_02" />

        <activity android:name="com.example.patrice.rerservation01.gps_location_03" />
        <!--  -->

        <activity android:name="com.example.patrice.rerservation01.options"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.admin_login"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.compte_utilisateur"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.admin_tools"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.config_options.ajouter_jeu"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.restituer_jeu"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.historique_retrait_jeu"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.edition_jeu"
            android:screenOrientation="portrait"  />

        <!--  -->

        <activity android:name="com.example.patrice.rerservation01.traitement"
            android:screenOrientation="portrait"  />


        <activity android:name="com.example.patrice.rerservation01.traitement_02"
            android:screenOrientation="portrait"  />

        <activity android:name="com.example.patrice.rerservation01.traitement_03"
            android:screenOrientation="portrait"  />


        <activity android:name="com.example.patrice.rerservation01.search_jeu_listview" />
        <!--- -->

        <activity android:name="com.example.patrice.rerservation01.acceuil" />
        <activity android:name="com.example.patrice.rerservation01.creation_compte" />



        <activity android:name="com.example.patrice.rerservation01.SignUpActivity" />

        <activity android:name="com.example.patrice.rerservation01.liste_jeux_db" />

        <activity android:name="com.example.patrice.rerservation01.ajouter_jeu" />


        <activity android:name="com.example.patrice.rerservation01.Query_all" />
        <activity android:name="com.example.patrice.rerservation01.selection_jeu" />

        <activity android:name="com.example.patrice.rerservation01.scanner_barcode05" />
        <activity android:name="com.example.patrice.rerservation01.scanner_barcode06" />

        <activity android:name="com.example.patrice.rerservation01.scanner_barcode08" />

        <activity android:name="com.example.patrice.rerservation01.scanner_barcode09" />

        <activity android:name="com.example.patrice.rerservation01.database_jeu" />

        <activity android:name="com.example.patrice.rerservation01.mes_emprunts" />

        <activity android:name="com.example.patrice.rerservation01.mes_emprunts02" />

        <activity android:name="com.example.patrice.rerservation01.mes_emprunts03" />

        <activity android:name="com.example.patrice.rerservation01.mes_emprunts04" />

        <activity android:name="com.example.patrice.rerservation01.listview001" />

        <activity android:name="com.example.patrice.rerservation01.alarme01" />

        <activity android:name="com.example.patrice.rerservation01.user_inscription" />

        <activity android:name="com.example.patrice.rerservation01.capture01"
            android:screenOrientation="portrait"
            />

        <activity android:name="com.example.patrice.rerservation01.capture02" />

        <activity android:name="com.example.patrice.rerservation01.capture03" />

        <activity android:name="com.example.patrice.rerservation01.capture04" />

        <activity android:name="com.example.patrice.rerservation01.capture06" />

        <activity android:name="com.example.patrice.rerservation01.gestion_DB"
            android:screenOrientation="portrait"
            />

        <activity android:name="com.example.patrice.rerservation01.gestion_DB02"
            android:screenOrientation="portrait"
            />

        <activity android:name="com.example.patrice.rerservation01.gestion_DB03"
            android:screenOrientation="portrait"
            />


        <activity android:name="com.example.patrice.rerservation01.camera_capture_image"
            android:screenOrientation="portrait"
            />

        <activity android:name="com.example.patrice.rerservation01.vocale.reconnaissance_vocale01" />

        <activity android:name="com.example.patrice.rerservation01.saisir_nom" />


        <activity android:name="com.example.patrice.rerservation01.wifi" />

        <activity android:name="com.example.patrice.rerservation01.load_imageview" />


        <activity android:name="com.example.patrice.rerservation01.affiche_jeu_DB_mysql" />

        <activity android:name="com.example.patrice.rerservation01.aide" />

        <!--  pour le premier lancement -->

        <activity android:name=".service_alarm.cancel_notification"></activity>
        <service android:name=".service_alarm.appli_alarm_service"/>

        <!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++   -->

        <!--  pour le mode boot sequence  -->

        <receiver android:name=".service_alarm.boot_sequence">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <receiver android:name=".service_alarm.boot_alarm_receiver"></receiver>

        <service android:name=".service_alarm.boot_alarm_service"></service>

        <!--   -->


    </application>

</manifest>